## ros-one-ur-calibration 2.4.1-5jammy.20251029.2112

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ur_calibration)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  ur_robot_driver
)
find_package(Eigen3 REQUIRED)
find_package(yaml-cpp REQUIRED)
find_package(ur_client_library REQUIRED)

# create alias for the '_INCLUDE_DIR' variable, to help Catkin export it
set(YAML_CPP_INCLUDE_DIRS ${YAML_CPP_INCLUDE_DIR})

catkin_package(
  CATKIN_DEPENDS
    roscpp
    ur_robot_driver
  DEPENDS
    YAML_CPP
    ur_client_library
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${EIGEN3_INCLUDE_DIRS}
  ${YAML_CPP_INCLUDE_DIRS}
)

add_executable(calibration_correction
  src/calibration.cpp
  src/calibration_consumer.cpp
  src/calibration_correction.cpp
)

add_dependencies(calibration_correction ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Specify libraries to link a library or executable target against
target_link_libraries(calibration_correction
  ${catkin_LIBRARIES}
  ${YAML_CPP_LIBRARIES}
  ur_client_library::urcl
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(calibration_test
    test/calibration_test.cpp
    src/calibration.cpp)
  target_link_libraries(calibration_test ${catkin_LIBRARIES} yaml-cpp ur_client_library::urcl)
endif()

install(TARGETS calibration_correction RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-5jammy.20251029.2112) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Wed, 29 Oct 2025 21:12:18 +0000

ros-one-ur-calibration (2.4.1-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ur-calibration (2.4.0-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-calibration (2.3.0-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ur-calibration (2.2.0-0jammy) jammy; urgency=high

  * Update package maintainers (#735 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/735>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-one-ur-calibration (2.1.5-0jammy) jammy; urgency=high

  * Fix calibration (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/704>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <feex@universal-robots.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ur-calibration (2.1.4-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-calibration (2.1.3-0jammy) jammy; urgency=high

  * Bump cmake minimum version for all packages in repo
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.2-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.1-0jammy) jammy; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.0-0jammy) jammy; urgency=high

  * fix dependency for the organization calibration package (#549 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/549>)
  * Drop old C++ compiler flags (#577 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/577>)
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Remove boilerplate comments from package.xml files (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/528>)
  * Contributors: Captain Yoshi, Felix Exner, Michael Görner

 -- Felix Exner <feex@universal-robots.com>  Thu, 08 Dec 2022 00:00:00 -0000

ros-one-ur-calibration (2.0.0-0jammy) jammy; urgency=high

  * Add new features to the driver:
    - Cartesian position-based control
    - Cartesian twist-based control
    - Trajectory forwarding for execution on robot
    - More documentation and examples
  * Fix package name in calibration example
    The example was referencing the library package where it should have been
    referencing the driver package.
  * Added log handler for handling log messages from client library with … (#398 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/398>)
  * Added "On behalf of Universal Robots A/S" notice (#416 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/416>)
    Removed copyright notice from LICENSE file, as the license file itself isn't
    copyrighted by FZI
  * Replace two logging macros with ROS logging macros. (#330 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/330>)
    Inside the driver we want to use plain ROS logging instead of the library's logging macros.
  * Use ur_client_library package for building this driver #266 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/266> from UniversalRobots/separation
  * Use namespace urcl instead of ur_driver
  * Renamed library
  * Made calibration use separated library, as well
  * Merge pull request #166 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/166> from UniversalRobots/packaget
    Use the package type and not the header type as template parameter for communication
  * Update ur_calibration to new template structure
  * Use SPDX license identifiers. (#145 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/145>)
    From https://spdx.org
  * Merge pull request #1 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/1> from UniversalRobots/master
    Update from upstream repo
  * catch all exceptions to bring them to output. (#98 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/98>)
  * Changed my name in every occurence
  * Merge pull request #42 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/42> from gavanderhoorn/ur_calib_fix_yamlcpp_dep
    Fixup yaml-cpp linking and include paths in ur_calibration
  * calibration: fix yaml-cpp include paths and linking.
  * calibration: top-level pkgs don't export include dirs or libraries.
  * calibration: remove boilerplate comments from build script.
  * Renamed the driver to ur_robot_driver
  * Simplified calibration interface
    When showing this to collegues it turned out that this was quite complicated.
    I reduced the target definition to a simple filename, while documenting
    the package approach separately.
  * Updated calibration instructions
  * Contributors: Felix Exner, Felix Mauch, G.A. vd. Hoorn, Lea Steffen, Mads Holm Peters, axelschroth, gavanderhoorn

 -- Felix Exner <feex@universal-robots.com>  Tue, 07 Sep 2021 00:00:00 -0000

ros-one-ur-calibration (0.0.2-0jammy) jammy; urgency=high

  * Catch exception and log error when no connection can be established

 -- Felix Exner <feex@universal-robots.com>  Wed, 03 Jul 2019 00:00:00 -0000

ros-one-ur-calibration (0.0.1-0jammy) jammy; urgency=high

  Initial release

 -- Felix Exner <feex@universal-robots.com>  Fri, 28 Jun 2019 00:00:00 -0000

=== debian/control ===
Source: ros-one-ur-calibration
Section: misc
Priority: optional
Maintainer: Felix Exner <feex@universal-robots.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libyaml-cpp-dev, ros-one-catkin, ros-one-roscpp, ros-one-ur-client-library, ros-one-ur-robot-driver
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ur-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libyaml-cpp-dev, ros-one-roscpp, ros-one-ur-client-library, ros-one-ur-robot-driver
Description: Package for extracting the factory calibration from a UR robot and change it such that it can be used by ur_description to gain a correct URDF

## ros-one-ur-calibration 2.4.1-5noble.20251029.2118

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-5noble.20251029.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Wed, 29 Oct 2025 21:18:12 +0000

ros-one-ur-calibration (2.4.1-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ur-calibration (2.4.0-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-calibration (2.3.0-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ur-calibration (2.2.0-0noble) noble; urgency=high

  * Update package maintainers (#735 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/735>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 24 Feb 2025 00:00:00 -0000

ros-one-ur-calibration (2.1.5-0noble) noble; urgency=high

  * Fix calibration (#704 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/704>)
  * Contributors: Felix Exner (fexner)

 -- Felix Exner <feex@universal-robots.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ur-calibration (2.1.4-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-calibration (2.1.3-0noble) noble; urgency=high

  * Bump cmake minimum version for all packages in repo
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.2-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.1-0noble) noble; urgency=high



 -- Felix Exner <feex@universal-robots.com>  Mon, 23 Jan 2023 00:00:00 -0000

ros-one-ur-calibration (2.1.0-0noble) noble; urgency=high

  * fix dependency for the organization calibration package (#549 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/549>)
  * Drop old C++ compiler flags (#577 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/577>)
    Co-authored-by: Jochen Sprickerhof <mailto:git@jochen.sprickerhof.de>
  * Remove boilerplate comments from package.xml files (#528 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/528>)
  * Contributors: Captain Yoshi, Felix Exner, Michael Görner

 -- Felix Exner <feex@universal-robots.com>  Thu, 08 Dec 2022 00:00:00 -0000

ros-one-ur-calibration (2.0.0-0noble) noble; urgency=high

  * Add new features to the driver:
    - Cartesian position-based control
    - Cartesian twist-based control
    - Trajectory forwarding for execution on robot
    - More documentation and examples
  * Fix package name in calibration example
    The example was referencing the library package where it should have been
    referencing the driver package.
  * Added log handler for handling log messages from client library with … (#398 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/398>)
  * Added "On behalf of Universal Robots A/S" notice (#416 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/416>)
    Removed copyright notice from LICENSE file, as the license file itself isn't
    copyrighted by FZI
  * Replace two logging macros with ROS logging macros. (#330 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/330>)
    Inside the driver we want to use plain ROS logging instead of the library's logging macros.
  * Use ur_client_library package for building this driver #266 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/266> from UniversalRobots/separation
  * Use namespace urcl instead of ur_driver
  * Renamed library
  * Made calibration use separated library, as well
  * Merge pull request #166 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/166> from UniversalRobots/packaget
    Use the package type and not the header type as template parameter for communication
  * Update ur_calibration to new template structure
  * Use SPDX license identifiers. (#145 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/145>)
    From https://spdx.org
  * Merge pull request #1 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/1> from UniversalRobots/master
    Update from upstream repo
  * catch all exceptions to bring them to output. (#98 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/98>)
  * Changed my name in every occurence
  * Merge pull request #42 <https://github.com/UniversalRobots/Universal_Robots_ROS_Driver/issues/42> from gavanderhoorn/ur_calib_fix_yamlcpp_dep
    Fixup yaml-cpp linking and include paths in ur_calibration
  * calibration: fix yaml-cpp include paths and linking.
  * calibration: top-level pkgs don't export include dirs or libraries.
  * calibration: remove boilerplate comments from build script.
  * Renamed the driver to ur_robot_driver
  * Simplified calibration interface
    When showing this to collegues it turned out that this was quite complicated.
    I reduced the target definition to a simple filename, while documenting
    the package approach separately.
  * Updated calibration instructions
  * Contributors: Felix Exner, Felix Mauch, G.A. vd. Hoorn, Lea Steffen, Mads Holm Peters, axelschroth, gavanderhoorn

 -- Felix Exner <feex@universal-robots.com>  Tue, 07 Sep 2021 00:00:00 -0000

ros-one-ur-calibration (0.0.2-0noble) noble; urgency=high

  * Catch exception and log error when no connection can be established

 -- Felix Exner <feex@universal-robots.com>  Wed, 03 Jul 2019 00:00:00 -0000

ros-one-ur-calibration (0.0.1-0noble) noble; urgency=high

  Initial release

 -- Felix Exner <feex@universal-robots.com>  Fri, 28 Jun 2019 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ur-calibration//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ur-calibration 2.4.1-6jammy.20251212.2122

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6jammy.20251212.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Fri, 12 Dec 2025 21:22:25 +0000

## ros-one-ur-calibration 2.4.1-6jammy.20260119.2129

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6jammy.20260119.2129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 21:29:25 +0000

## ros-one-ur-calibration 2.4.1-6jammy.20260209.2126

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6jammy.20260209.2126) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 09 Feb 2026 21:26:15 +0000

## ros-one-ur-calibration 2.4.1-6jammy.20260302.2151

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6jammy.20260302.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 02 Mar 2026 21:51:23 +0000

## ros-one-ur-calibration 2.4.1-6noble.20251212.2133

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6noble.20251212.2133) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Fri, 12 Dec 2025 21:33:30 +0000

## ros-one-ur-calibration 2.4.1-6noble.20260119.2131

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6noble.20260119.2131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 21:31:37 +0000

## ros-one-ur-calibration 2.4.1-6noble.20260209.2131

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6noble.20260209.2131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 09 Feb 2026 21:31:29 +0000

## ros-one-ur-calibration 2.4.1-6noble.20260302.2215

=== debian/changelog ===
ros-one-ur-calibration (2.4.1-6noble.20260302.2215) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 02 Mar 2026 22:15:01 +0000
